# Class XmlEncodingParameter

java.lang.Object
uk.ac.starlink.task.Parameter<Charset>
uk.ac.starlink.ttools.task.XmlEncodingParameter

All Implemented Interfaces:
  `ExtraParameter`

public class XmlEncodingParameter extends uk.ac.starlink.task.Parameter<Charset> implements ExtraParameter
Parameter which describes one of the available XML encodings (UTF-8 etc).

Since:
  16 Aug 2005
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`XmlEncodingParameter(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtraUsage(TableEnvironment env)`
Returns an extended usage message.
`Charset`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XmlEncodingParameter

public XmlEncodingParameter(String name)

## Method Details

### getExtraUsage

public String getExtraUsage(TableEnvironment env)
Description copied from interface: `ExtraParameter`
Returns an extended usage message. This should not repeat the content of the normal usage message. It should be preformatted, that is it should contain newlines to keep the line length down to less than 80 characters.

Specified by:
  `getExtraUsage` in interface `ExtraParameter`
Parameters:
  `env` - execution envrionment
Returns:
  extended usage message

### stringToObject

public Charset stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<Charset>`
Throws:
  `uk.ac.starlink.task.TaskException`